#!/bin/bash
 
A=$(docker inspect --format='{{range .NetworkSettings.Networks}}{{.IPAddress}}{{end}}' party0) 
B=$(docker inspect --format='{{range .NetworkSettings.Networks}}{{.IPAddress}}{{end}}' party1) 
C=$(docker inspect --format='{{range .NetworkSettings.Networks}}{{.IPAddress}}{{end}}' party2) 
echo $A
echo $B
echo $C
docker exec -w /root/duoram/usenix-artifact/preprocessing party2 ./p2preprocessing $A $B 4 15 & 
sleep 2
echo "P2 launched"
docker exec -w /root/duoram/usenix-artifact/preprocessing party1 ./preprocessing1  $A $C 4 15 & 
sleep 2
echo "P1 launched"
docker exec -w /root/duoram/usenix-artifact/preprocessing party0 ./preprocessing0  $B $C 4 15 &
echo "P0 launched"
wait
